Bug 1265138 - [network] Usability: Need five mouse clicks to select the wireless network [NEEDINFO]
[network] Usability: Need five mouse clicks to select the wireless network
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell (Show other bugs)
7.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Florian Müllner
Desktop QE
: Reopened
Depends On:
Blocks: 1295396
  Show dependency treegraph
 
Reported: 2015-09-22 04:18 EDT by Petr Šplíchal
Modified: 2017-01-09 11:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-22 08:29:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
thaller: needinfo-
psplicha: needinfo? (mclasen)


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2015-09-22 04:18:07 EDT
Description of problem:

With the latest NetworkManager I need five clicks to select my
preferred wireless network. This was just two clicks before the
update. Let's reduce the number of necessary clicks to three :-)

Version-Release number of selected component (if applicable):
NetworkManager-1.0.6-6.el7.x86_64

Steps to Reproduce:
1. Start a new session
2. NetworkManager connects to the public network
3. I want to connect and authenticate to the private one

Former results:
1. Click on the applet
2. Select the desired network

Actual results:
1. Click on the applet
2. Unfold the WiFi item
3. Choose the network button
4. Select my desired network from list
5. Hit the Connect button

Expected results:
1. Click on the applet
2. Unfold the WiFi item
3. Select my favorite network

Additional info:
Similarly as VPN section shows available connections, the WiFi
section could display let's say the last three networks from the
connection history.
Comment 1 Thomas Haller 2015-09-22 04:28:53 EDT
I assume you use Gnome3? In this case, you probably are using the NM integration in "control-center", and your usability issue should be reassigned.

... or are you actually using nm-applet?
For example, do you have nm-applet running?
  $ ps aux | grep nm-applet


Thanks
Comment 2 Jirka Klimes 2015-09-22 07:02:43 EDT
Yeah, I think it is gnome-shell networking icon.

In nm-applet, it is still two clicks one for opening menu and the second to activate a Wi-Fi connection.
Comment 3 Matthias Clasen 2015-09-22 08:29:16 EDT
What is being described here is the network section of the gnome-shell status menu.

The changes to the system status area are intended to follow a more consistent pattern for all the settings, and avoid an overly long menu. Therefore the ap list has been relegated to a dialog which allows for better scrolling, and more natural interaction with a potentially long list.

I don't think we need to optimize the number of clicks for changing networks - most users will keep using the same ap(s) all the time.
Comment 4 Petr Šplíchal 2015-09-22 12:46:23 EDT
(In reply to Matthias Clasen from comment #3)
> 
> The changes to the system status area are intended to follow a
> more consistent pattern for all the settings, and avoid an
> overly long menu.  Therefore the ap list has been relegated to a
> dialog which allows for better scrolling, and more natural
> interaction with a potentially long list.

Thanks for the explanation, Matthias. I agree that having things
consistent as much as possible makes sense. The solution proposed
in comment #0, however, does not imply displaying a long list of
all available wireless networks. It suggests only a few (let's say
three) from the recent history would be displayed.

In addition, the VPN section already implements very similar look
with listing available VPN connections. So in this respect similar
list of couple of wireless networks would be nicely consistent.
Also, by default the network section is folded so this enhancement
does not affect clean and concise look of the whole status menu.

> I don't think we need to optimize the number of clicks for
> changing networks - most users will keep using the same ap(s)
> all the time.

As this is my everyday morning exercise and I believe the use case
with defaulting to non-authenticated network with subsequent need
to manually select authenticated network is quite common I suggest
to reconsider the decision, thus reopening.
Comment 6 Matthias Clasen 2015-09-22 15:46:49 EDT
please don't do that. this is not a regression and not a test blocker.
Comment 7 Petr Šplíchal 2016-02-09 02:37:32 EST
In my opinion this is a usability regression. Proposing for 7.3.

Note You need to log in before you can comment on or make changes to this bug.